#
# spec file for package yesod-bin
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yesod-bin
Version:        1.6.0.3
Release:        3.3
Summary:        The yesod helper executable
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{name}-%{version}/revision/2.cabal#/%{name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-fsnotify-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-reverse-proxy-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-project-template-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-say-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-streaming-commons-devel
BuildRequires:  ghc-tar-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-unliftio-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-warp-devel
BuildRequires:  ghc-warp-tls-devel
BuildRequires:  ghc-yaml-devel
BuildRequires:  ghc-zlib-devel

%description
The yesod helper executable.

%prep
%setup -q
cp -p %{SOURCE1} %{name}.cabal

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%license LICENSE
%doc ChangeLog.md README.md
%{_bindir}/yesod

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Update yesod-bin to version 1.6.0.3.
  [#]# 1.6.0.3
  * Support Cabal 2.2 [#1151](https://github.com/yesodweb/yesod/issues/1511)
* Tue May  1 2018 psimons@suse.com
- Update yesod-bin to version 1.6.0.2.
  A more detailed change log is not available.
* Thu Apr 12 2018 psimons@suse.com
- Update yesod-bin to version 1.6.0.
  A more detailed change log is not available.
* Thu May 18 2017 psimons@suse.com
- Update to version 1.5.2.3 with cabal2obs.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 1.5.2.2 with cabal2obs.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 1.5.2.1 with cabal2obs.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 1.5.2 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 1.5.1 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 1.4.18.7 with cabal2obs.
* Sat Oct  1 2016 psimons@suse.com
- Update to version 1.4.18.5 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.4.18.3 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.18.2 revision 0 with cabal2obs.
